# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [Unreleased]

## [1.1.29] - 2023-09-27
### Fixed
- [IN-4589] - Implements "extensions" key on order create payload.
- [IN-4589] - Adjusts 'givenNames' and 'surname' keys on order create payload.
- [IN-4589] - Solves issues with gift items (price = 0).

## [1.1.27 / 1.1.28] - 2022-02-28
### Added
- Spanish language added in widget on product and cart page, as well on checkout page.

## [1.1.26] - 2022-02-17
### Change
- Pay in 4 Installments

## [1.1.25] - 2022-01-10
### Change
- Code refined

## [1.1.24] - 2022-01-09
### Change
- Default endpoint changed.
### Fixed
- Refund issue fixed.

## [1.1.23] - 2021-12-02
### Change
- API calls change from v1 to v2,

## [1.1.22] - 2021-11-06
### Fixed
- Fixed empty fields in optional payload data

## [1.1.21] - 2021-05-10
### Change
- Translations updated for checkout page text.

## [1.1.20] - 2021-04-22
### Added
- Changelog file added to keep track of changes.

## [1.1.19] - 2020-11-26
### Changed
- Updated payload data. Included version and other information

## [1.1.18] - 2020-11-25
### Added
- Add plugin version

## [1.1.17] - 2020-11-25
### Added
- Scalapay plugin version added in catalog controller file.

## [1.1.16] - 2020-09-25
### Added
- Create the refund table in database when merchant will enable the refund , otherwise there will be no table. When Scalapay plugin uninstall , do check if tables does not have any record then delete the table.

## [1.1.15] - 2020-09-16
### Fixed
- Use the cart_id from the return URL for merchant_reference update call

## [1.1.14] - 2020-09-08
### Changed
- Removed checkout translation text from plugin UI and add it in the language file

## [1.1.13] - 2020-08-31
### Added
- Field added to enable/disable refund functionality

## [1.1.12] - 2020-08-28
### Changed
- Updated labels for admin

## [1.1.11] - 2020-08-24
### Changed
- Remve language translations from admin for ScalaPay.

## [1.1.10] - 2020-08-21
### Added
- Separated fields for test and live api keys.

## [1.1.9] - 2020-07-09
### Changed
- Updated code for Show/Hide Installment Amount.

## [1.1.8] - 2020-07-08
### Fixed
- Updated code for Discount data in payload data.
- Updated code for Apply min order value.
- Extra code removed.

## [1.1.7] - 2020-06-03
### Added
- Updated code for Payload Data

## [1.1.6] - 2020-05-12
### Fixed
- Min amount and number of payment fix
- Change plugin config UI and .it to .com

## [1.1.5] - 2020-04-27
### Added
- Limit product categories.

## [1.1.4] - 2020-04-11
### Fixed
- Conflict removal

## [1.1.3] - 2020-04-10
### Changed
- Update widget translations
- Language Update

### Added
- Locale check added
- French translation - Opencart v3

### Removed
- Remove segments from opencart v3

### Fixed
- Updated code for Site Crash Issue
- Segments name issue.
- Updated code for segments and country filters.
- Latest changes in code for bugs related to pricing 
